/*Dreieck.java*/

import java.awt.*;
import java.awt.event.*;

public class Dreieck extends Canvas
{
    int breiteX, breiteY;
    int[][] ecke = new int[3][2];
    
    Dreieck(int breiteX,int breiteY){
	this.breiteX=breiteX;
	this.breiteY=breiteY;
    }

    public void paint(Graphics g)
    {
	g.setColor(Color.white);
	g.fillRect(0,0,breiteX,breiteY);
	g.setColor(Color.black);
	g.drawRect(0,0,breiteX,breiteY);
	for(int i=0;i<3;i++){
	    if(i!=2){
		g.fillOval(ecke[i][0],ecke[i][1],5,5);
		g.drawLine(ecke[i][0],ecke[i][1],ecke[i+1][0],ecke[i+1][1]);
	    }
	    else{
		g.fillOval(ecke[i][0],ecke[i][1],5,5);
		g.drawLine(ecke[i][0],ecke[i][1],ecke[0][0],ecke[0][1]);
	    }
	}
    }
}
